# Interface AuditLogger

All Known Implementing Classes:
  `Slf4jAuditLogger`

public interface AuditLogger

## Method Summary

Modifier and Type
Method
Description
`default void`
`initialize()`
Called during initialization of the logger.
`void`
`logAuditEvent(AuditEvent auditEvent)`
Called to log an audit event.

## Method Details

### initialize

default void initialize()
Called during initialization of the logger.

### logAuditEvent

void logAuditEvent(AuditEvent auditEvent)
Called to log an audit event.

Parameters:
  `auditEvent` - contains all the fields to be logged